Package it.ernytech.tdlib

## Class TdApi.SendMessage

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.SendMessage

Enclosing class:
  TdApi

    public static class TdApi.SendMessage
    extends TdApi.Function

Sends a message. Returns the sent message.

Returns `Message`

### Field Summary

Fields
`long` `chatId` Target chat.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`boolean` `disableNotification` Pass true to disable notification for the message.
`boolean` `fromBackground` Pass true if the message is sent from the background.
`TdApi.InputMessageContent` `inputMessageContent` The content of the message to be sent.
`TdApi.ReplyMarkup` `replyMarkup` Markup for replying to the message; for bots only.
`long` `replyToMessageId` Identifier of the message to reply to or 0.

### Constructor Summary

Constructors
`SendMessage()` Default constructor.
`SendMessage​(long chatId, long replyToMessageId, boolean disableNotification, boolean fromBackground, TdApi.ReplyMarkup replyMarkup, TdApi.InputMessageContent inputMessageContent)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### chatId

    public long chatId

Target chat.

#### replyToMessageId

    public long replyToMessageId

Identifier of the message to reply to or 0.

#### disableNotification

    public boolean disableNotification

Pass true to disable notification for the message. Not supported in secret chats.

#### fromBackground

    public boolean fromBackground

Pass true if the message is sent from the background.

#### replyMarkup

    public TdApi.ReplyMarkup replyMarkup

Markup for replying to the message; for bots only.

#### inputMessageContent

    public TdApi.InputMessageContent inputMessageContent

The content of the message to be sent.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### SendMessage

    public SendMessage()

Default constructor.

#### SendMessage

    public SendMessage​(long chatId,
                       long replyToMessageId,
                       boolean disableNotification,
                       boolean fromBackground,
                       TdApi.ReplyMarkup replyMarkup,
                       TdApi.InputMessageContent inputMessageContent)

Constructor for initialization of all fields.

Parameters:
  `chatId` - Target chat.
  `replyToMessageId` - Identifier of the message to reply to or 0.
  `disableNotification` - Pass true to disable notification for the message. Not supported in secret chats.
  `fromBackground` - Pass true if the message is sent from the background.
  `replyMarkup` - Markup for replying to the message; for bots only.
  `inputMessageContent` - The content of the message to be sent.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR